faust (2.79.3+ds-2ubuntu1) questing; urgency=medium

  * Add missing include (fixes FTBFS) (LP: #2125778)
    * d/p/include_cstdint.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 26 Sep 2025 16:24:04 +0200

faust (2.79.3+ds-2) unstable; urgency=medium

  * Disable dh_dwz on all archs (Closes: #1103592)
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Apr 2025 11:59:39 +0200

faust (2.79.3+ds-1) unstable; urgency=medium

  * New upstream version 2.79.3+ds
    + Refresh patches
  * Install faust2hothouse
  * Fix typos in the package descriptions
  * Drop unneeded dh overrides
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Mar 2025 21:46:57 +0100

faust (2.77.3+ds-2) unstable; urgency=medium

  * Install faust2magtk (fixes FTBFS)
  * Add note on "suggests" to long package description
  * Suggest "libminiaudio-dev"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 18 Jan 2025 23:15:14 +0100

faust (2.77.3+ds-1) unstable; urgency=medium

  * New upstream version 2.77.3+ds
    + Drop obsolete patches
    + Refresh patches
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 16 Jan 2025 23:12:08 +0100

faust (2.75.7+ds-3) unstable; urgency=medium

  * Do not attempt to run dh_dwz on i386 and armel
    (See: #1016936, #1016563)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Nov 2024 08:46:56 +0100

faust (2.75.7+ds-2) unstable; urgency=medium

  * Refresh patches with 'gbp pq'
  * Backport upstream fix for building with LLVM-19 (Closes: #1084254)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Oct 2024 10:37:26 +0200

faust (2.75.7+ds-1) unstable; urgency=medium

  * New upstream version 2.75.7+ds
    + Update patches
    + Drop patches applied upstream
  * B-D on libzstd-dev
  * Strip libPolly from llvm-static-libs (Closes: #1051880)
  * Do not attempt to install faust2wasm binaries (removed upstream)
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 27 Sep 2024 22:04:59 +0200

faust (2.74.6+ds-1) unstable; urgency=medium

  * New upstream version 2.74.6+ds
    + Drop obsolete documentation patch
    + Refresh patches
    + Update patches
    + Update privacy patch
  * Install faust2stratus (Chaos Audio Stratus pedal)
  * Fix more spelling errors
  * Backport long-options fix for manpage
  * Add repository to upstream-metadata
  * Update copyright information
    + Update copyright
    + Fix dual-license for faust2ck
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Sep 2024 15:46:01 +0200

faust (2.72.14+ds-1) unstable; urgency=medium

  * New upstream version 2.72.14+ds
    + Refresh patches
  * Add new 'faust2paconsole' binary
  * B-D on 'pkgconfig | pkg-config
  * Relax lintian-overrides for non-matching package name
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 20 Apr 2024 21:37:03 +0200

faust (2.70.3+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062548

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 03:51:36 +0000

faust (2.70.3+ds-1) unstable; urgency=medium

  * New upstream version 2.70.3+ds
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Update lintian
    + Drop unused specifiers from d/source/lintian-overrides
    + Add lintian-overrides for "missing source" false-positive

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Jan 2024 14:14:12 +0100

faust (2.69.3+ds-1) unstable; urgency=medium

  * New upstream version 2.69.3+ds
    (Closes: #1056112)
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Update lintian-overrides
  * Shorten synopsis for libfaust-static
  * Use 'Breaks' rather than 'Conflicts'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 25 Nov 2023 23:53:46 +0100

faust (2.68.1+ds-2) unstable; urgency=medium

  * Declare that libfaust-static Breaks/Replaces faust<<2.68.1
    (Closes: #1052672)
  * Have "faust" suggest the "libfaust-static" package

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 26 Sep 2023 12:26:05 +0200

faust (2.68.1+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Sep 2023 22:03:48 +0200

faust (2.68.1+ds-1~exp2) experimental; urgency=medium

  * Drop soversion from "libfaust-static" packagename

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Sep 2023 08:14:07 +0200

faust (2.68.1+ds-1~exp1) experimental; urgency=medium

  * New upstream version 2.68.1+ds
    + Refresh patches
  * Ship static libraries in a separate package
  * Prevent linking against libPolly (Closes: #1051880)
  * Install new transpilers
  * Restore tools/faust-config on clean (Closes: #1044297)
  * Update d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Sep 2023 11:36:42 +0200

faust (2.60.3+ds2-1) unstable; urgency=medium

  * New upstream version 2.60.3+ds2 (Closes: #1037648)
    + Refresh patches
  * Exclude more pre-built javascript files
  * Update copyright information
    + Update copyright dates
    + Drop search_index.json from licensecheck
    + Re-generate d/copyright_hints
  * Drop number from repack suffix (but add it manually for the 2nd repacked
    import)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Jul 2023 16:36:51 +0200

faust (2.54.9+ds0-1) unstable; urgency=medium

  * New upstream version 2.54.9+ds0
    + Refresh patches
  * Install 'faust2cmajor' transpiler, remove dropped 'faust2soul'
  * Make help2man dependency optional (when cross-building)
  * Use execute_before_dh_* instead of override_dh_*
  * Use d/clean instead of overriding dh_clean
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Jan 2023 10:18:27 +0100

faust (2.50.6+ds0-1) unstable; urgency=medium

  * New upstream version 2.50.6+ds0
    + Refresh patches
    + Remove patches applied upstream
  * Add patch to avoid bashisms
  * Update d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 07 Oct 2022 22:15:56 +0200

faust (2.41.1~ds0-2) unstable; urgency=medium

  * Add patch to prevent static linking against libsndfile (Closes: #1020000)
  * Switch d/watch to use github-API for monitoring releases

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 10:46:33 +0200

faust (2.41.1~ds0-1) unstable; urgency=medium

  * New upstream version 2.41.1~ds0
  * Remove faust2* scripts that are known to not work
    (E.g. there's no use to ship a generator for macOS AudioUnits)
    + Only create manpages for installed files
  * d/patches:
    + Refresh patches
    + Update spelling patch
    + Rename patch to 'silent-which'
    + Add patches to generate compilable code for various faust2* scripts
    + Add patch to prevent underlinking of libfaustmachine/libOSCFaust
    + Patch to fix usage printout of 'faust2atomsnippets'
  * Fix dependencies
    + Recommend a generic C++ compiler rather than clang...
    + Move faust2* specific dependencies to 'Suggests'
      We don't want to pull in 3GB of additional dependencies that are never
      used.
      Instead, we now +suggest* all the possibly useful packages.
      For the specific dependencies of a given faust2+ script, check out
      /usr/share/doc/faust/README.Debian
    + Drop Recommends on libgtk2.0-dev/libjack (LP: #1970771)
    + Drop Suggests on editors (e.g. 'kate')
    + Add Recommends for 'zip' and 'perl'
  * Install syntax-highlighting for emacs, vim, nano, gedit and more.
  * Export CC/CXX to work with ccache
  * Apply 'wrap-and-sort -ast'
  * Relax lintian-overrides
  * Regenerate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 21 Jul 2022 15:08:04 +0200

faust (2.40.0~ds0-1) unstable; urgency=medium

  * New upstream version 2.40.0~ds0
    * Refresh patches
  * Update d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Apr 2022 18:40:00 +0200

faust (2.37.3~ds0-1) unstable; urgency=medium

  * New upstream version 2.37.3~ds0
    * (Closes: #1000930)
    * Refresh patches
  * Add patch to silence internal invocation of 'which'
  * Add patch to fix inkscape invocation
  * B-D on ruby:any (it needs to run on the build host)
  * Tighten lintian overrides
  * Updated d/copyright
    * Regenerated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 03 Dec 2021 11:38:24 +0100

faust (2.33.1~ds0-1) unstable; urgency=medium

  * New upstream version 2.33.1~ds0

  * Refresh patches, drop those applied upstream
  * Update privacy.patch
  * Install faustremote
  * Add lintian-overrides for some faust-generated files in sources
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 23 Sep 2021 11:25:37 +0200

faust (2.30.5~ds0-2) unstable; urgency=medium

  * Don't include <sys/sysctl.h> on GNU/Hurd (Closes: #967984)
  * Hack to work around the missing PATH_MAX on GNU/Hurd

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 29 Jan 2021 13:06:38 +0100

faust (2.30.5~ds0-1) unstable; urgency=medium

  * New upstream version 2.30.5~ds0
    (Closes: #967984)

  [ Olivier Humbert ]
  * d/control: utter important change :)
  * d/changelog: unneeded empty lines removed

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Update d/copyright
    * Regenerate d/copyright_hints
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 26 Jan 2021 22:51:58 +0100

faust (2.27.2~ds1-1) unstable; urgency=medium

  * New upstream version 2.27.2~ds1
    (Closes: #964595, #963064)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Use installed manpage
  * Don't compress faust-quick-reference.pdf
  * Install usage.sh snippet in /usr/share/faust/utils/
  * Add more binaries to install
  * Add salsa-ci configuration
    * Allow reprotest to fail on salsa-ci
  * Refresh d/copyright
    * Regenerate d/copyright_hints
  * Drop B-D on dh-exec
  * Bump dh-compat to 13
  * Bump standards version to 4.5.0

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 13 Aug 2020 21:39:42 +0200

faust (2.20.2~ds0-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 2.20.2~ds0
    * Refresh patches
    * More spelling fixes
  * Explicitly recommend "python3"
  * Declare that building this package does not require "root" powers
  * Reordered homepage field
  * Remove files from d/copyright that are not longer in the package
  * Remove lintian-overrides for removed files
  * Added more lintian-overrides after checking with upstream
  * Update version-mangling in d/watch

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update copyright (http -> https + remove 1 empty line)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Jan 2020 11:17:45 +0100

faust (2.15.11~ds1-3) unstable; urgency=medium

  * Source-only upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 19 Sep 2019 15:12:15 +0200

faust (2.15.11~ds1-2) unstable; urgency=medium

  * Package 'libfaust2' containing the support libraries (Closes: #939704)
  * Add patch to fix minor spelling mistakes
  * Update lintian-overrides for sources
  * Update d/copyright
    * Regenerate d/copyright_hints
  * Bump dh compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Sep 2019 14:37:35 +0200

faust (2.15.11~ds1-1) unstable; urgency=medium

  * New upstream version 2.15.11~ds1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Exclude CMake artifacts and pre-built binaries from source-package
  * Patch to not install stripped-away binaries
  * Install WHATSNEW.md as upstream Changelog
  * Drop obsolete d/source/local-options
  * Fixed dversionmangling in d/watch

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Aug 2019 14:32:58 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libfaust2t64`.
